Get Customer
Path parameters
customer_idstring · uuidRequired
The unique identifier of the customer
Header parameters
Api-KeystringRequired
Your secret API key, available in the developer dashboard. Include this header on every request to authenticate your application.
Responses
200
Successful retrieval of customer data
application/json
customer_idstring · uuidRequired
The unique identifier for the customer
emailstring · emailRequired
The email address associated with the customer
company_namestringOptionalExample:
The name of the company of the business customer
Acme Corporationtypestring · enumRequiredPossible values:
The type of customer
first_namestringOptionalExample:
The first name of the individual customer
Johnlast_namestringOptionalExample:
The last name of the individual customer
Doeget/v0/customers/{customer_id}
GET /v0/customers/{customer_id} HTTP/1.1
Host: api.alignlabs.dev
Api-Key: text
Accept: */*
200
Successful retrieval of customer data
{
"customer_id": "123e4567-e89b-12d3-a456-426614174000",
"email": "name@gmail.com",
"company_name": "Acme Corporation",
"type": "individual",
"first_name": "John",
"last_name": "Doe",
"address": {
"country": "United States",
"city": "San Francisco",
"street_line_1": "123 Main Street",
"postal_code": "94105",
"state": "CA"
},
"kycs": {
"status": "pending",
"status_breakdown": [
{
"currency": "aed",
"payment_rails": "uaefts",
"status": "pending"
}
],
"sub_status": "kyc_form_submission_started",
"kyc_flow_link": "text",
"tos_link": "text"
}
}Last updated
